package com.storage.controller;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.my.utils.MyUtils;
import	com.storage.model.RequestParams;
import	com.storage.model.ResponseParams;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;

@Controller
@CrossOrigin("*")//防止本地跨域
public class Koala {

	/**
	 * 跳转模板
	 * @return
	 */
	@RequestMapping("/getIndex")
	public String getIndex(HttpServletRequest request,HttpServletResponse response) {
		return "/admin/index";
	}
	
	/**
	 * 获取数据
	 * 无参
	 * @return
	 */
	@RequestMapping("/getOrder")
	@ResponseBody
	public String getOrder(HttpServletRequest request,HttpServletResponse response) {
		return templateService.getOrder();
	}
	
	/**
	 * 获取数据
	 * 路径参数
	 * @return
	 */
	@RequestMapping("/getOrder/{id}")
	@ResponseBody
	public String getOrderById(
			@PathVariable("id")Integer id,
			HttpServletRequest request,HttpServletResponse response) {
		return templateService.getOrderById(id);
	}
	
	/**
	 * 获取数据
	 * 必传参数
	 * @return
	 */
	@RequestMapping("/getOrder")
	@ResponseBody
	public String getOrderByUserId(
			@RequestParam("userId")Integer userId,
			HttpServletRequest request,HttpServletResponse response) {
		return templateService.getOrderByUserId(userId);
	}

	/**
	 * 文件上传
	 * @param file
	 * @param request
	 * @return
	 */
	@RequestMapping(value = "/file/upload")
	@CrossOrigin("*")
	@ResponseBody
	public String upload(
			@RequestParam("file") MultipartFile file,
			HttpServletRequest request) {
		return templateService.upload(file);
	}
}

