package com.storage.controller;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.my.utils.MyUtils;
import	com.storage.service.StorageOrderService;
import	com.storage.model.RequestParams;
import	com.storage.model.ResponseParams;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.multipart.MultipartFile;

@Controller
@CrossOrigin("*")//防止本地跨域
public class StorageOrderServiceController {

	@Resource
	private StorageOrderService storageOrderService;

	@RequestMapping("/saveInOrder")
	@ResponseBody
	public ResponseParams  saveInOrder(
			@RequestParam("params") String params,			HttpServletRequest request,HttpServletResponse response) {
			RequestParams req = MyUtils.fromJson(params,RequestParams.class);
		return storageOrderService.saveInOrder(req);
	}
	@RequestMapping("/saveOutOrder")
	@ResponseBody
	public ResponseParams  saveOutOrder(
			@RequestParam("params") String params,			HttpServletRequest request,HttpServletResponse response) {
			RequestParams req = MyUtils.fromJson(params,RequestParams.class);
		return storageOrderService.saveOutOrder(req);
	}
	@RequestMapping("/getInOrder")
	@ResponseBody
	public ResponseParams  getInOrder(
			@RequestParam("params") String params,			HttpServletRequest request,HttpServletResponse response) {
			RequestParams req = MyUtils.fromJson(params,RequestParams.class);
		return storageOrderService.getInOrder(req);
	}
	@RequestMapping("/getOutOrder")
	@ResponseBody
	public ResponseParams  getOutOrder(
			@RequestParam("params") String params,			HttpServletRequest request,HttpServletResponse response) {
			RequestParams req = MyUtils.fromJson(params,RequestParams.class);
		return storageOrderService.getOutOrder(req);
	}
	@RequestMapping("/deleteOrder")
	@ResponseBody
	public ResponseParams  deleteOrder(
			@RequestParam("params") String params,			HttpServletRequest request,HttpServletResponse response) {
			RequestParams req = MyUtils.fromJson(params,RequestParams.class);
		return storageOrderService.deleteOrder(req);
	}
}

