import { createRouter, createWebHistory } from "vue-router";
import login from "../login.vue";
import systemIndex from "../systemIndex.vue";
import product_manager from "../components/product_manager.vue";
import storage_manager from "../components/storage_manager.vue";
import out_order from "../components/out_order.vue";
import in_order from "../components/in_order.vue";
import handle_log from "../components/handle_log.vue";

const router = createRouter({
  routes: [
    { path: "/", component: login },//默认进入login页面
    { path: "/", component: systemIndex },//login之后的页面
     {
      path: "/admin",
      name: "admin",
      component: () => import("../admin.vue"),
      meta: {
        title: "主页",
        requireAuth: true,
      },
      children: [
    {
      	path: "/product_manager",
      	component: product_manager,
      	name: "product_manager",
    	},
    {
      	path: "/storage_manager",
      	component: storage_manager,
      	name: "storage_manager",
    	},
    {
      	path: "/out_order",
      	component: out_order,
      	name: "out_order",
    	},
    {
      	path: "/in_order",
      	component: in_order,
      	name: "in_order",
    	},
    {
      	path: "/handle_log",
      	component: handle_log,
      	name: "handle_log",
    	},
      ],
    },  ],
  history: createWebHistory(),
});
export default router;

